| Home | Libraries | People | FAQ | More

## Struct template inplace_erasure

boost::icl::inplace_erasure

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_erasure :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_erasure< Type >                type;
      typedef identity_based_inplace_combine< Type > base_type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_erasure` public member functions

1.     void operator()(Type & object, const Type & operand) const;